Bug 205773 - Software suspend doesn't work
Software suspend doesn't work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 09:26 EDT by Philip Ashmore
Modified: 2015-03-04 20:17 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 14:21:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2006-09-08 09:26:57 EDT
Linux Kernel version 2.6.17-1.2174_FC5.
Dell Inspiron 8000 with WUXGA+ display (1600x1200) with nVidia GeForce 2 GO
graphics card/chipset.
KDE 3.5.4
Steps to reproduce the problem:
1. Install Fedora Core 5
2. Run yum update
3. In Control Center select "Power Control/Laptop Battery/ACPI Config/Setup
Helper Application". See the warning message box about size/checksum being
invalid and click "Run Nevertheless". Follow the instructions given to enable
hibernate support.
3a. You may have to exit Control Center and re-start it for the other tabs to
recognise that the "ACPI features" have been enabled.
4. In Control Center select "Power Control/Laptop Battery/Battery/Start Battery
Monitor" to start the Battery Monitor (KLaptop) Applet in the KDE panel.
4. Right-click the KLaptop icon and select "hibernate"

When I try to suspend it works, but I couldn't see the swusp progress messages -
no switch to text mode.
When I turn the computer back on, resume completes but I am left with a grey
screen with a text (underline-type) cursor blinking on the left hand side about
four fifths of the way down.
From the size of the cursor the display seems to be in 80x25 text resolution.
The keyboard caps-lock doesn't work (the led doesn't toggle), nor does switching
between virtual consoles using ctrl-alt-F(1-9).
When I press the power off button it shuts down as normal (still with the grey
screen).
I tried adding "agp=off" in grub.conf - same result.
 
I repeated the procedure with kernel 2.6.15-1.2054_FC5 (the version on the
Fedora Core DVD) and it worked.
I could even see the swusp progress messages during suspend and resume.
Comment 1 Patrick C. F. Ernzer 2006-09-08 12:33:27 EDT
Why am I on Cc for this bug?
Comment 2 Richard Hughes 2006-09-08 12:56:08 EDT
Me too? I'm the GNOME Power Manager maintainer. I don't run KDE and I don't even
have a nvidia card.
Comment 3 Philip Ashmore 2006-09-10 11:02:32 EDT
I cloned Bug 183709 to produce my bug report - I guess the CC's got cloned too.
Comment 4 Nigel Cunningham 2006-12-21 17:44:52 EST
Sounds to me like a problem with hal/dbus. They should be doing a chvt before 
the echo disk > /sys/power/state (and back afterwards).
Comment 5 Richard Hughes 2006-12-21 18:38:11 EST
We aready do this in pm-utils.
Comment 6 Nigel Cunningham 2006-12-21 18:49:29 EST
Hmm. I thought you did. So then, what could be going wrong that it's not 
switching. Is there any way to disable the chvt, Richard?
Comment 7 Richard Hughes 2006-12-21 19:20:16 EST
Best best is to grab pjones and ask him what the plans are for pm-utils. Have a
look at the pm-utils source and you'll see what we are doing already.
Comment 9 Phil Knirsch 2007-01-23 11:16:29 EST
Have you tried this with newer version of pm-utils? There are quite a few 
changes in the FC6 version of it that might fix the problem you're describing.

Thanks,

Read ya, Phil
Comment 10 Philip Ashmore 2007-07-26 22:44:08 EDT
Sorry I took so long to respond.

I've stated the version of the kernel it works on. Obviously I would be using
the software suspend kernel of the same version.
I also stated the version it doesn't work on.
One or more of the patches between these two versions is imho responsible for
this problem. As well as these versions, you imho should be able to track the
versions of the other packages that were distributed within the updates
repository snapshot - I don't know how I could attempt this.

There is also no way I could "roll forward" between update snapshots from the
DVD repository to the updates repository snapshot containing the kernel version
I mentioned, in order to determine exactly when this feature stopped working.

Obviously I would need to invest in a much larger hard disk to store each and
every update repo snapshot in order to do this, as well as client side
intelligence to recognize that the updates repo I'm mirroring locally is a new
snapshot, not an update/correction to an existing snapshot - an updates repo
release number or time stamp in a simple text file accompanying the updates repo
would solve this,

Even if I had these snapshots available and could do this, we still have more
issues.
1. Was the updates repo snapshot containing the kernel version I had problems
with tested by anyone with the same make/model laptop as I've got?
2. Did the regression/release tests run on the updates repo snapshot cover this
case?

I'm not even sure how one could automatically test hibernation without either
a) specialized test rigging to compare the video output and disk activity to
that expected within margins.
b) manual testing.

Looking forward to your response
Philip Ashmore
Comment 11 Richard Hughes 2007-07-27 04:13:22 EDT
(In reply to comment #10)
> I also stated the version it doesn't work on.

What's the kernel version it does work on? Are you using the nv driver?

> One or more of the patches between these two versions is imho responsible for
> this problem. As well as these versions, you imho should be able to track the
> versions of the other packages that were distributed within the updates
> repository snapshot - I don't know how I could attempt this.

You can't.

> Even if I had these snapshots available and could do this, we still have more
> issues.
> 1. Was the updates repo snapshot containing the kernel version I had problems
> with tested by anyone with the same make/model laptop as I've got?

I very much doubt it.

> 2. Did the regression/release tests run on the updates repo snapshot cover
this case?

There are currently no regression tests for hibernate or suspend, but we are
working on it for the long term future.

> Looking forward to your response

You need to install a stock F7, do all the updates, and then follow the
instructions on http://people.freedesktop.org/~hughsient/quirk/

Richard.
Comment 12 Till Maas 2007-08-30 11:22:21 EDT
FC5 is now end of life, so sadly this bug won't be fixed in this release. Is
this bug still present in FC6 or F7?
Comment 13 Philip Ashmore 2007-08-30 14:12:41 EDT
Not in its original form - see "https://bugzilla.redhat.com/show_bug.cgi?id=250033".
Comment 14 Till Maas 2007-08-30 14:21:05 EDT
(In reply to comment #13)
> Not in its original form - see
"https://bugzilla.redhat.com/show_bug.cgi?id=250033".

ok, I close this bug then.

Note You need to log in before you can comment on or make changes to this bug.